from django.db import models

class Project(models.Model):
    STATUS_CHOICES = [
        ('planowany', 'Planowany'),
        ('realizowany', 'Realizowany'),
        ('zakonczony', 'Zakończony'),
    ]

    name = models.CharField(max_length=200, verbose_name="Nazwa projektu")
    client = models.CharField(max_length=200, verbose_name="Kontrahent")
    start_date = models.DateField(verbose_name="Data rozpoczęcia")
    end_date = models.DateField(verbose_name="Data zakończenia")
    status = models.CharField(max_length=20, choices=STATUS_CHOICES, default='planowany', verbose_name="Status")

    def __str__(self):
        return self.name